from django.contrib import admin
from .models import Departamento, Ubicacion, CategoriaEquipo, Equipo, Mantenimiento, Asignacion
from django.contrib.auth.models import User
from django.contrib.auth.admin import UserAdmin


class EquipoAdmin(admin.ModelAdmin):
    list_display = ('nombre', 'numero_serie','estado', 'categoria', 'Ubicacion')
    list_filter = ('estado', 'categoria', 'Ubicacion')
    search_fields = ('nombre', 'numero_serie', 'marca', 'modelo')

class AsignacionAdmin(admin.ModelAdmin):
    list_display = ('equipo','usuario', 'fecha_asignacion','fecha_devolucion')
    list_filter = ('fecha_asignacion', 'fecha_devolucion')
    search_fields = ('equipo__nombre', 'usuario__username',)

class MantenimientoAdmin(admin.ModelAdmin):
    list_display = ('equipo', 'fecha_mantenimiento', 'tipo_mantenimiento', 'costo')
    list_filter = ('tipo_mantenimiento',)
    search_fields = ('equipo__nombre',)
    






admin.site.unregister(User)
admin.site.register(User, UserAdmin)
admin.site.register(Departamento)
admin.site.register(Ubicacion)
admin.site.register(CategoriaEquipo)
admin.site.register(Equipo) # Registra con la clase personalizada
admin.site.register(Asignacion, AsignacionAdmin)
admin.site.register(Mantenimiento, MantenimientoAdmin)